void DeleteWindow(IEWindow *); /*safely remove a single window*/
void DrawNumField(char *, int); /* print val in field - useful*/
void DrawTextField(char *, char *);
void DeleteButton(IEWindow *, IEButton *);
void DeleteDragArea(IEWindow *, IEDragArea *);
void DeleteGraphic(IEWindow *, IEGraphic *);
void DeleteField(IEWindow *, IEField *);
void DeletePopup(IEPopup *);
void SetPopupDims(IEPopup *p);
typedef enum { Concave, Convex } ConcavityType;
void ShadowRect(int x, int y, int wd, int ht, int th, ConcavityType);
IEPopup *GetPopupNum(int pn);
IEMenuItem *GetPlabelNum(int n, IEPopup *p);
boolean point_in_rect(int, int, int, int, int, int);
boolean point_hits_line(int, int, int, int, int, int);
boolean r_intersect(int, int, int, int, int, int, int, int);
void calc_union_rect(int r1x, int r1y, int r1wd, int r1ht,
					int r2x, int r2y, int r2wd, int r2ht,
					int *, int *, int *, int *);
void calc_sect_rect(int r1x, int r1y, int r1wd, int r1ht,
					int r2x, int r2y, int r2wd, int r2ht,
					int *, int *, int *, int *);
void set_label_dims(IEGraphic *g, int x, int y);
void PushClip(int x, int y, int wd, int ht);
void PopClip();
void ResetClip();
void SwapPalette(
	char oldPalette[], char newPalette[],
	char *oldCollist[], char *newCollist[],
	char *oldAlias[], char *newAlias[],
	char *oldAColor[], char *newAColor[],
	char *o1, char *n1,
	char *o2, char *n2
	); /* in visual.c */
